<?php

use Illuminate\Support\Facades\Route;
use Wave\Http\Controllers\Auth\RegisterController;
use Wave\Http\Controllers\Auth\LoginController;
use Wave\Http\Controllers\User\DashboardController;

Route::post('/register', [RegisterController::class, 'registerUser']);
Route::post('/verify-email', [RegisterController::class, 'verifyEmail']);
Route::post('/login', [LoginController::class, 'apiLogin']);

Route::group(['middleware' => 'auth:api', 'prefix' => 'user'], function(){
	Route::get('/list', [DashboardController::class, 'getUserList']);
});
